-- 神域试炼通关记录
checkRequire("Lua_DivineDomainTrialRecordItem");
Lua_DivineDomainTrialPassRecordWindow = class("Lua_DivineDomainTrialPassRecordWindow", Lua_Window);
function Lua_DivineDomainTrialPassRecordWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.windowName = "Lua_DivineDomainTrialPassRecordWindow";
	self.skinName = "DivineDomainTrialPassRecordWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_DivineDomainTrialPassRecordWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleNameTxt:setLangValue(764037);
end

function Lua_DivineDomainTrialPassRecordWindow:showWin(param)
	self:superCall("showData", param);

	if self.recordDic == nil then
		self.recordDic = {};
	end

	local item;
	local startPosY, distanceY = 127, 164;
	local posY;
	local data = param.record_list;
	for i = 1, #data do
		item = self.recordDic[i];
		if item == nil then
			item = Lua_DivineDomainTrialRecordItem.new(self.content);
			self.recordDic[i] = item;
		end

		posY = startPosY - distanceY * (i - 1);
		item:setData(data[i]);
		item:setEnable(true);
		item:setLocation(0, posY);
		print(i);
	end

	if #self.recordDic > #data then
		for i = #data + 1, #self.recordDic do
			item = self.recordDic[i];
			item:setEnable(false);
		end
	end
end

function Lua_DivineDomainTrialPassRecordWindow:dispose()
	if self.recordDic ~= nil then
		for i = 1, #self.recordDic do
			self.recordDic[i]:dispose();
			self.recordDic[i] = nil;
		end
		self.recordDic = nil;
	end
	self:superCall("dispose");
end







