-- 神域试炼奖励预览窗口
Lua_DivineDomainTrialPreviewRewardWindow = class("Lua_DivineDomainTrialPreviewRewardWindow", Lua_Window);
function Lua_DivineDomainTrialPreviewRewardWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.windowName = "Lua_DivineDomainTrialPreviewRewardWindow";
	self.skinName = "DivineDomainTrialPreviewRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_DivineDomainTrialPreviewRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleNameTxt:setLangValue(764038);
	self.rewardList = Lua_DragList.new(self.content, 581, 731, Lua_AxisDefine.Vertical);
	self.rewardList:setListCell(Lua_ItemIconCell, 124, 124, 4);
	self.rewardList:setCellSpacing(30, 36);
    self.rewardList:setLocation(0, -72, 0);
end

function Lua_DivineDomainTrialPreviewRewardWindow:showWin(param)
	self:superCall("showData", param);


	local rewards = DataCenter.divineDomainTrialUtil:getPreviewRewardsByTrial(param) or {};
	self.rewardList:setArrayData(rewards);
end

function Lua_DivineDomainTrialPreviewRewardWindow:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end